// unit eCottonTheme

// eCotton theme definition
// Included into Themes.js when used

var _Theme={};

var eCottonBlue='#0099CC';
_Theme.MasterUIColor='#000';
_Theme.AppBackgroundColor=eCottonBlue;

_Theme.BigMessage={
  backgroundColor:'black',
  borderColor:'white',
  borderRadius:5,
  borderWidth:2,
  color:'white'
};

_Theme.Button={
  // font:DEFAULT_BUTTONFONT,
  color:'white',  // Button Text
  backgroundImage:'/images/ButtonGradientBackground.png',
  backgroundSelectedImage:'/images/ButtonGradientBackgroundClicked.png',
  BlendInBackgroundImage:'/images/ButtonBlueGradientBackground.png', // ButtonBlueGradientBackground is a gradient from #212121 (bottom) to #0098CC (top)
  borderColor:'black',
  borderRadius:5, // do not DP! (crash)
  borderWidth:1
};

_Theme.Combo={
  backgroundColor:'white',
  borderColor:'gray',
  borderRadius:5, // do not DP! (crash)
  borderWidth:1,
  color:'black',
  enabledBackgroundColor:'white',
  disabledBackgroundColor:'#529EB5' // the natural color of a disabled edit in the Android emulator
};

_Theme.Edit={
  color:'black',
  disabledBackgroundColor:'#529EB5', // the natural color of a disabled edit in the Android emulator
  disabledBorderColor:'gray',
  //enabledBackgroundColor:'white', //Colors.EditEnabledBackground caused white corners
  enabledBackgroundColor:null,
  invalidHint:'red'
};

_Theme.DateEdit={
  backgroundColor:'white',
  borderColor:'gray',
  borderRadius:5, // do not DP! (crash)
  borderWidth:1,
  left:0,
  color:'black',
  enabledBackgroundColor:'white',
  disabledBackgroundColor:'#529EB5', // the natural color of a disabled edit in the Android emulator
  FocusRectangleColor:'orange'
};

_Theme.Label={
  //font:DEFAULT_LABELFONT,
  color:'white', // Text color
  ClickedColor:'yellow' // Text color changes to this when clicked
};

_Theme.Hyperlink={
  backgroundColor:'white' // the color of the underline...generally matches Label color
};

_Theme.ListBox={
  chevronImage:'Chevron.png',
  backgroundColor:'black',
  GroupedBackgroundColor:'black',
  RowBackgroundColor:'black',
  RowTextColor:'white',
  separator:'#737373',
  RowBackgroundImage:'dne', // want it to be null, but 1.8.1 bug TIMOB-8472
  RowClickedBackgroundImage:'/images/ListBoxGradientBackgroundClicked.png'
};

_Theme.ListBoxAlternate={
  chevronImage:'Chevron.png',
  backgroundColor:'white',
  GroupedBackgroundColor:'white',
  RowBackgroundColor:'white',
  RowTextColor:'black',
  separator:'silver',
  RowBackgroundImage:'dne', // want it to be null, but 1.8.1 bug TIMOB-8472
  RowClickedBackgroundImage:'/images/ListBoxGradientBackgroundClicked.png'
};

_Theme.NavBar={
  backgroundColor:'#5A5A5A',
  borderColor:'black',
  borderWidth:1
};

_Theme.Picker={
  backgroundColor:'white',  //Theme note: this is deliberately meant to contrast against the window's background
  borderRadius:5, // do not DP! (crash)
  borderWidth:1,
  borderColor:'gray'
};

_Theme.SpeedButton={
  color:'white',  // Button Text
  backgroundColor:'transparent',
  backgroundImage:'',
  // backgroundGradient doesn't work on Android as of SDK 1.7.1.  (12/12/2011: TIMOB-5931 says that it is now supported in SDK 1.8.0.1)
  borderColor:'transparent',
  borderRadius:5, // do not DP! (crash)
  borderWidth:1
};
  _Theme.SpeedButton.ClickedBackgroundImage='/images/SpeedButtonGradientBackgroundClicked.png';

_Theme.TabGroup={
  backgroundImage:'/images/tabbar.png',
  borderColor:'black',
  borderRadius:5,
  borderWidth:2,
  ButtonDefaultBackgroundImage:'/images/tabbar.png',
  ButtonActiveBackgroundImage:'/images/tabbar_h.png',
  ButtonMaskImage:'TabButtonMask.png',
  ButtonLabelColor:'gray',
  ButtonActiveLabelColor:'white',
  BarBackgroundColor:'#212121',
  BarBackgroundImage:'/images/tabbar.png'
};

_Theme.Table={
  backgroundColor:eCottonBlue,
  SideMargins: 3,
  RowDebugBackgroundColor:'yellow',
  ColDebugBackgroundColor:'green',
  ColFillDebugBackgroundColor:'blue'
};

_Theme.EditTable=_Theme.Table;

_Theme.ToolButton={
  backgroundColor:'darkgray',
};
